curl --request GET \
--url https://api.montereyfinancial.app/v1/autopay/{autopay_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.montereyfinancial.app/v1/autopay/{autopay_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.montereyfinancial.app/v1/autopay/{autopay_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"account_id": "<string>",
"payment_method_id": "<string>",
"amount_cents": 123,
"frequency_unit": "<string>",
"frequency_interval": 123,
"start_date": "2023-12-25",
"next_run_date": "2023-12-25",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"anchor_day": 123,
"anchor_month": 123,
"end_date": "2023-12-25",
"cancelled_at": "2023-11-07T05:31:56Z"
}{
"detail": {
"error_code": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get an autopay schedule
Returns a single autopay schedule by ID. Returns 404 if it isn’t reachable by this key.
Authorizations
Short-lived access token minted by POST /v1/oauth/token.
Path Parameters
Response
Successful Response
A recurring payment schedule tying an account to a stored payment method.
The account this schedule pays toward.
The stored payment method charged on each run.
Amount charged per run, in integer cents.
Unit of the recurrence interval. One of: day, week, month, year.
Number of units between runs (e.g. 2 + week = every two weeks).
Date of the first scheduled run.
Date the next charge is scheduled to run.
Schedule state. One of: active, paused, cancelled, expired.
Day of month (1-31) runs are pinned to, for month/year cadences. Clamped to the last day of shorter months.
Month (1-12) runs are pinned to, for yearly cadences.
Last date a run may occur. Null for open-ended schedules.
When the schedule was cancelled. Null unless cancelled.